\begin{center}
\begin{tikzpicture}
% axis range, ticks, size
\begin{axis}[axis x line=middle, axis y line=middle, axis on top, tick label style={font=\small}, smooth, 
xtick={30.1}, xticklabels={$c$}, 
ytick={}, yticklabels={}, 
xlabel={\small $x$}, ylabel={\small $y$}, 
xmin=-2, xmax=45.1, ymin=-0.01, ymax=0.1, 
width=0.9\textwidth, height=0.5\textwidth, 
legend style={at={(0.02,0.97)},anchor=north west}]
\path[name path=axis] (axis cs:0,0) -- (axis cs:45,0);
% plot function(s)
\addplot[name path = f, thick, draw = blue, thick][domain = 0:45]{ 0.00116*x^(8.5)*exp(-0.5*x)/100000};
% shade

\addplot [thick, color = blue, fill = blue, fill opacity = 0.25]
    fill between[of = f and axis, soft clip = {domain =30.1:45},];
%% mark points, draw helper lines
\node[label={[label distance=0.01]30:{\color{blue}\scalebox{0.8}{$\chi^2_{19}$}}}] at (axis cs: 15, 0.075) {};
\node[label={[label distance=0.01]90:{\scalebox{0.8}{$0.05$}}}] at (axis cs: 34, 0.02) {};
\draw [stealth-] (axis cs: 32, 0.003) -- (axis cs: 34, 0.02);
\draw [dotted, thick] (axis cs: 30.1,0) -- (axis cs: 30.1,0.01245);
\end{axis}\end{tikzpicture}
\end{center}
